Skip to content

Anjuta1.2.4 on Edgy: Its possible

Hello everybody!
I’m writing this post on English because I’m having a lot of visits of people who want a easy solution to install Anjuta1.2.4 on Ubuntu Edgy.

Basically, I dont know why, but some guy put anjuta 2.0.2 on Ubuntu Edgy, but its a alpha version: nothing works, random crashes, and a lot of other problems.
So I solve it downloading anjuta1.2.4 from dapper repositories, editing some depends and creating some symbolic links.

With help of my friend Bruno Ribas (Russo), I create a deb repository to make a process to install it more easy.
Now you can install anjuta1.2.4 with three easy steps:

echo "deb http://www.danilocesar.com/ubuntu debs/" >> /etc/apt/sources.list
apt-get update
apt-get install anjuta1.2.4

Use this repository for Ubuntu Edgy only.

So, if you have any problem with this, please let me know!

[]’s

Danilo Cesar

7 Comments

  1. Hi Danilo,

    Congratulations for this tip and the new repository! :)

    But, about the post if you don’t wanna have problems more, you can install the most powerfull IDE for development: gedit! As I told you, it’s the IDE for real programmers!

    apt-get install gedit

    Uses gedit and be happy! (or uses gedit TO be happy?)

    Posted on 07-Nov-06 at 1:45 am | Permalink
  2. Elyézer

    Danilo obrigado pelo anjuta, queria saber se no anjuta 2 pq nao tem o botao compilar ou o que precisa pra isso caso possa me ajuda fico grato!

    Obrigado

    Posted on 13-Nov-06 at 9:50 pm | Permalink
  3. Danilo Cesar

    Olá Elyézer!

    Olhe, realmente usei muito pouco o anjuta2, mas eu acho que deve ter o botão de compilar automaticamente sim….

    Posted on 13-Nov-06 at 9:57 pm | Permalink
  4. You da man!

    I was completely bewildered by the decision to replace the stable tranquility that was Anjuta 1 with the dungheap known as Anjuta 2.

    Thanks again!

    Posted on 14-Feb-07 at 9:49 am | Permalink
  5. Tong

    It works on Hardy!

    I have been using Dapper until this week, and to my dismay, Anjuta has become a totally new IDE to me. This webpage has been a great help to me.

    Thanks a lot!

    Posted on 25-Aug-08 at 9:24 pm | Permalink
  6. liliane

    Estou tendo o seguinte problema ao tentar instalar o anjuta 1.2.4 e a saída é a seguinte no terminal

    W: Falhou ao buscar http://www.danilocesar.com/ubuntu/dists/debs///binary-i386/Packages 404 Not Found

    Posted on 04-Feb-13 at 1:33 pm | Permalink
  7. Danilo Cesar

    O arquivo não existe mais, é isso o que a mensagem que você recebeu está dizendo.

    Porque você está tentando instalar o anjuta? Esta versão 1.2.4 é de mais de 6 anos atrás. Eu não tenho usado, mas com certeza a versão mais recente deve ser bem melhor.

    Posted on 04-Feb-13 at 2:28 pm | Permalink

One Trackback/Pingback

  1. […] Nesta nova versão foram corrigidos uma série de erros que aconteciam com a versão 2.0.2, que ainda era versão alpha (?!?!?!) mas por algum motivo estava nos pacotes oficiais do Ubuntu Edgy. Como esta versão estava extremamente instável e não era possível instalar a versão anterior devido a uma série de incompatibilidade de bibliotecas, criei um repositório não oficial para a versão do anjuta1.2.4. […]

Post a Comment

Your email is never published nor shared. Required fields are marked *
*
*